Get an agent by name
curl --request GET \
--url https://albus.sh/api/agents/{name} \
--header 'Authorization: Bearer <token>'import requests
url = "https://albus.sh/api/agents/{name}"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://albus.sh/api/agents/{name}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));{
"name": "<string>",
"current": {
"revision": "<string>",
"created_at": "2023-11-07T05:31:56Z",
"config": {
"model": {
"name": "<string>",
"provider": {
"name": "<string>",
"credential": "<string>",
"url": "<string>"
}
},
"tools": [
"<string>"
],
"system_prompt": "<string>",
"max_steps": 2,
"mcp_servers": [
{
"name": "<string>",
"url": "<string>",
"headers": {},
"allowed_tools": [
"<string>"
]
}
]
}
},
"revisions": [
{
"revision": "<string>",
"created_at": "2023-11-07T05:31:56Z"
}
]
}{
"message": "Invalid or expired token"
}{
"message": "Resource not found"
}Agents
Get an agent by name
Returns the agent with the given name, its current revision, and the list of all its revisions newest first.
GET
/
agents
/
{name}
Get an agent by name
curl --request GET \
--url https://albus.sh/api/agents/{name} \
--header 'Authorization: Bearer <token>'import requests
url = "https://albus.sh/api/agents/{name}"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://albus.sh/api/agents/{name}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));{
"name": "<string>",
"current": {
"revision": "<string>",
"created_at": "2023-11-07T05:31:56Z",
"config": {
"model": {
"name": "<string>",
"provider": {
"name": "<string>",
"credential": "<string>",
"url": "<string>"
}
},
"tools": [
"<string>"
],
"system_prompt": "<string>",
"max_steps": 2,
"mcp_servers": [
{
"name": "<string>",
"url": "<string>",
"headers": {},
"allowed_tools": [
"<string>"
]
}
]
}
},
"revisions": [
{
"revision": "<string>",
"created_at": "2023-11-07T05:31:56Z"
}
]
}{
"message": "Invalid or expired token"
}{
"message": "Resource not found"
}Authorizations
bearerAuthapiKeyAuth
Bearer authentication header of the form Bearer <token>, where <token> is your auth token.
Path Parameters
The agent's name.
Response
OK
An agent identified by name, with its current revision's full configuration and the list of all its revisions newest first.
⌘I